KDE 4.9 PyKDE API Reference

- KDE's Python API

# ListJob Class Reference

`from PyKDE4.kio import *`

Inherits: KIO.SimpleJob → KIO.Job → KCompositeJob → KJob → QObject
Namespace: KIO

## Detailed Description

A ListJob is allows you to get the get the content of a directory. Don't create the job directly, but use KIO.listRecursive() or KIO.listDir() instead.

See also:
  KIO.listRecursive()

See also:
  KIO.listDir()

## Signals

| entries (KIO.Job job, [KIO.UDSEntry] list)
| permanentRedirection (KIO.Job job, KUrl fromUrl, KUrl toUrl)
| redirection (KIO.Job job, KUrl url)

## Methods

| __init__ (self)
KUrl | redirectionUrl (self)
| setUnrestricted (self, bool unrestricted)
| slotFinished (self)
| slotMetaData (self, KIO.MetaData _metaData)
| slotResult (self, KJob job)

## Signal Documentation

entries | ( | KIO.Job | job,
|  | [KIO.UDSEntry] | list
| ) |  |  |

This signal emits the entry found by the job while listing. The progress signals aren't specific to ListJob. It simply uses SimpleJob's processedSize (number of entries listed) and totalSize (total number of entries, if known), as well as percent.

Parameters:

  | job | the job that emitted this signal
  | list | the list of UDSEntries

Signal syntax:
  `QObject.connect(source, SIGNAL("entries(KIO::Job*, const KIO::UDSEntryList&)"), target_slot)`

permanentRedirection | ( | KIO.Job | job,
|  | KUrl | fromUrl,
|  | KUrl | toUrl
| ) |  |  |

Signals a permanent redirection. The redirection itself is handled internally.

Parameters:

  | job | the job that emitted this signal
  | fromUrl | the original URL
  | toUrl | the new URL

Signal syntax:
  `QObject.connect(source, SIGNAL("permanentRedirection(KIO::Job*, const KUrl&, const KUrl&)"), target_slot)`

redirection | ( | KIO.Job | job,
|  | KUrl | url
| ) |  |  |

Signals a redirection. Use to update the URL shown to the user. The redirection itself is handled internally.

Parameters:

  | job | the job that is redirected
  | url | the new url

Signal syntax:
  `QObject.connect(source, SIGNAL("redirection(KIO::Job*, const KUrl&)"), target_slot)`

## Method Documentation

__init__ | ( |  | self ) |

KUrl redirectionUrl | ( |  | self ) |

Returns the ListJob's redirection URL. This will be invalid if there was no redirection.

Returns:
  the redirection url

setUnrestricted | ( | self, |
|  | bool | unrestricted
| ) |  |  |

Do not apply any KIOSK restrictions to this job.

slotFinished | ( |  | self ) |

slotMetaData | ( | self, |
|  | KIO.MetaData | _metaData
| ) |  |  |

slotResult | ( | self, |
|  | KJob | job
| ) |  |  |